.\"
.\" Copyright (c) 2007
.\"	The DragonFly Project.  All rights reserved.
.\" 
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in
.\"    the documentation and/or other materials provided with the
.\"    distribution.
.\" 3. Neither the name of The DragonFly Project nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific, prior written permission.
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
.\" COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
.\" OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $DragonFly: src/share/man/man4/man4.i386/est.4,v 1.1 2007/12/21 09:00:41 swildner Exp $
.\"
.Dd December 21, 2007
.Os
.Dt EST 4
.Sh NAME
.Nm est
.Nd Enhanced SpeedStep Technology support
.Sh SYNOPSIS
To compile this driver into the kernel, place the following line in your
kernel configuration file:
.Bd -ragged -offset indent
.Cd "options CPU_ENABLE_EST"
.Ed
.Pp
To load this driver as a module at boot time, place the following line in
.Xr loader.conf 5 :
.Bd -literal -offset indent
est_load="YES"
.Ed
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn Enhanced SpeedStep Technology
present in newer CPUs.
.Pp
If the CPU is supported
.Nm
creates the following variables in the
.Va machdep.est
branch of the
.Xr sysctl 3
MIB.
.Bl -tag -width ".Va frequency.available" -offset indent
.It Va frequency.available
(read only) The list of frequencies supported by
.Nm
for the CPU.
.It Va frequency.current
(read only) The currect CPU frequency.
.It Va frequency.target
(read/write) The target CPU frequency.
.El
.Pp
An associated userland daemon which is part of the
.Xr pkgsrc 7
collection
.Pa ( sysutils/estd )
can be used to dynamically set the CPU frequency depending on utilization.
.Sh HISTORY
The
.Nm
driver first appeared in
.Dx 1.5 .
